Class | Bio::Blast::WU::Report::Hit
In: | lib/bio/appl/blast/wublast.rb
Parent: | Default::Report::Hit

Bio::Blast::WU::Report::Hit contains information about a hit. It may contain some Bio::Blast::WU::Report::HSP objects.

Because it inherits Bio::Blast::Default::Report::Hit, please also refer Bio::Blast::Default::Report::Hit.

### Methods

new score

### Attributes

n_number | [R] | n-number (???)
pvalue | [R] | p-value

### Public Class methods

new(data)

Creates a new Hit object. It is designed to be called only internally from the Bio::Blast::WU::Report::Iteration class. Users should not call the method directly.

[Source]

         # File lib/bio/appl/blast/wublast.rb, line 406
    406:           def initialize(data)
    407:             @f0hitname = data.shift
    408:             @hsps = []
    409:             while r = data.first
    410:               if r =~ /^\s*(?:Plus|Minus) +Strand +HSPs\:/ then
    411:                 data.shift
    412:                 r = data.first
    413:               end
    414:               if /\A\s+Score/ =~ r then
    415:                 @hsps << HSP.new(data)
    416:               else
    417:                 break
    418:               end
    419:             end
    420:             @again = false
    421:           end

### Public Instance methods

score()

Returns score.

[Source]

         # File lib/bio/appl/blast/wublast.rb, line 424
    424:           def score
    425:             @score
    426:           end

[Validate]